///////////////////////////////////////////////////////////////////////////////
//                   SOFTWARE COPYRIGHT NOTICE AGREEMENT                     //
//       This software and its documentation are copyright (2010) by the     //
//   Broad Institute.  All rights are reserved.  This software is supplied   //
//   without any warranty or guaranteed support whatsoever. The Broad        //
//   Institute is not responsible for its use, misuse, or functionality.     //
///////////////////////////////////////////////////////////////////////////////

#include "paths/Sepdev.h"
#include "graph/DigraphTemplate.h"

template void digraphE<sepdev>::ComponentEdges(vec<vec<int> >&) const;
template void digraphE<sepdev>::Initialize(const vec<vec<int> >&, const vec<vec<int> >&, const vec<sepdev>&, const vec<vec<int> >&, const vec<vec<int> >& );
template void digraphE<sepdev>::readBinary(BinaryReader&);
template digraphE<sepdev> digraphE<sepdev>::Subgraph(vec<int> const&) const;
template void digraphE<sepdev>::ToLeft (vec<int>&) const;
template void digraphE<sepdev>::ToRight(vec<int>&) const;

template void digraphE<fsepdev>::AddEdge(const int, const int, const fsepdev&);
template void digraphE<fsepdev>::AddVertices(int);
template void digraphE<fsepdev>::ComponentEdges(vec<vec<int> >&) const;
template digraphE<fsepdev> digraphE<fsepdev>::Subgraph(vec<int> const&) const;
template void digraphE<fsepdev>::ToLeft (vec<int>&) const;
template void digraphE<fsepdev>::ToRight(vec<int>&) const;

template void digraphE<Tsepdev<double> >::DeleteEdgeFrom(int, int);
template void digraphE<Tsepdev<double> >::DeleteEdgesAtVertex(int);
template const Tsepdev<double>& digraphE<Tsepdev<double> >::EdgeObject(int) const;
template vec<Tsepdev<double> > digraphE<Tsepdev<double> >::EdgeObjectsBetween(int, int) const;
template Bool digraphE<Tsepdev<double> >::EdgePaths(const int, const int, vec<vec<int> >&, const int, const int, const int);
template void digraphE<Tsepdev<double> >::Initialize(const vec<vec<int> >&, const vec<vec<int> >&, const vec<Tsepdev<double> >&, const vec<vec<int> >&, const vec<vec<int> >&);
template void digraphE<Tsepdev<double> >::readBinary(BinaryReader&);
template void digraphE<Tsepdev<double> >::writeBinary(BinaryWriter&) const;

template void digraphE<Tsepdev<int> >::DeleteEdges(const vec<int>&);
template void digraphE<Tsepdev<int> >::DeleteEdges(const vec<int>&, const vec<int>&);
template vec<Tsepdev<int> > digraphE<Tsepdev<int> >::EdgeObjectsBetween(int, int) const;
template vec<int> digraphE<Tsepdev<int> >::EdgesBetween( const int, const int) const;
template void digraphE<Tsepdev<int> >::RemoveDeadEdgeObjects();
template void digraphE<Tsepdev<int> >::writeBinary(BinaryWriter&) const;
